=== debian/changelog ===
arpack (2.1+parpack96.dfsg-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control: Added Homepage field.
    (Uploaders): Removed Rafael Laboissiere. Thanks for your work (closes:
    #571828).
    (Standards-Version): Bumped to 3.8.4.
    (Depends): Fixed weak-library-dev-dependency.
    (Section): libarpack2-dbg is `debug' now.
  * debian/rules (clean): Fix target to not remove README.source.
  * debian/source.lintian-overrides: Added to hide a lintian limitation.
  * debian/README.source: Added.

  [ Adam C. Powell, IV ]
  * Changed source format to 3.0 (quilt).
  * Fix octave segfault using patch from Thomas Weber (closes: #572935).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 04 May 2010 16:05:05 -0400

arpack (2.1+parpack96.dfsg-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Add version dependency information for libarpack2 (>=
    2.1+parpack96-5), such that packages building against libarpack2-dev
    will require the version of the library in which the UTIL/* symbols
    were reintroduced
  * debian/watch: Add file (Lintian warning)
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + Use viewsvn instead of wsvn in Vcs-Browser field
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Make short and long descriptions distinct for the three binary packages
  * debian/libarpack2.symbols: Add symbols file

  [ Daniel Leidert ]
  * debian/control (Vcs-Svn): Fixed.
    (Build-Depends): Use mpi-default-dev (closes: #509783).
    (Priority): libarpack2-dev must be priority extra as mpi-default-dev is,
    see Debian policy section 2.5.
    (Depends): Use mpi-default-dev (#509783). Removed useless dependencies.
    (Description): Fixed indenting of list to print verbatim.
  * debian/rules: Adjusted determination of build flags now using
    mpi-default-dev.
    (DEB_MAKE_ENVVARS): Add FC and FFLAGS and set them accordingly to drop
    debian/patches/use-gfortran.patch.
    (build/libarpack2): Use DEB_MAKE_ENVVARS.
  * debian/patches/use-gfortran.patch: Dropped.
  * debian/patches/parpack-clean-dirs.patch: Dropped.
  * debian/patches/series: Adjusted accordingly.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 22 Mar 2009 15:14:22 +0100

arpack (2.1+parpack96.dfsg-1) unstable; urgency=low

  * New tarball without non-free ug.ps file, now qualifies for main
    (closes: #491794).
  * Removed libarpack2-dev.doc-base because this was its only file.
  * Modified copyright to indicate downloader and date for current
    copyright/license.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 30 Nov 2008 11:09:12 -0500

arpack (2.1+parpack96-9) unstable; urgency=low

  * Moved back to main because of change to 3-clause BSD license
    (closes: #491794).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 24 Nov 2008 18:03:41 -0500

arpack (2.1+parpack96-8) unstable; urgency=low

  * Moved to non-free because of non-DFSG license (closes: #491794).
  * Added Adam Powell to the list of uploaders.
  * Added PARPACKLIB parameter to ARmake.inc.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 10 Nov 2008 10:58:23 -0500

arpack (2.1+parpack96-7) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Depends): libarpack2-dbg needs a strict versioned
    dependency on libarpack2 (LP: #206294).

  [ Rafael Laboissiere ]
  * debian/control: Force build-dependency on gfortran to be >= 4.3.0-3.
    In previous versions of this package, the /usr/lib/libgfortran.so
    symlink was lacking on alpha, amd64, i386, and hppa, resulting in an
    empty libarpack2 package on these architectures (closes: #474342).

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 Apr 2008 22:09:44 +0200

arpack (2.1+parpack96-6) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Add versioned build-dependency on debhelper >= 5 and
    make Lintian happy

  [ Daniel Leidert ]
  * debian/control (Depends): libarpack2-dbg needs a strict versioned
    dependency on libarpack2 (LP: #206294).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 25 Mar 2008 14:09:50 +0100

arpack (2.1+parpack96-5) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/arpack2-dev.doc-base (Section): Fixed accordingly to latest
    doc-base policy.
  * debian/libarpack2-dev.doc-base (Section): Ditto.
  * debian/control (Build-Depends): Use libopenmpi-dev on kfreebsd-i386,
    kfreebsd-amd64 and hurd-i386 too.
  * debian/rules (build/libarpack2): Build and link files in UTIL/ to avoid
    missing symbols (closes: #470415). Add -lgfortran to resolve gfortran
    symbols. Link with -lmpi_f77 on libopenmpi enabled architectures. Link
    with -larpack for svout and other functions used in libparapack.
  * debian/patches/no_external_etime.patch: Added.
    - ARPACK/UTIL/second.f, UTIL/second.f: EXTERNAL for etime() is wrong here.
  * debian/patches/series: Adjusted.

  [ Rafael Laboissiere ]
  * Add Daniel Leidert to the list of Uploaders
  * Allow upload by Debian Maintainers

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 11 Mar 2008 02:49:46 +0100

arpack (2.1+parpack96-4) unstable; urgency=low

  * debian/libarpack2-dev.install: Install doc files in proper directory,
    avoiding conflicts with the libarpack2 package (closes: #469286)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 04 Mar 2008 14:22:55 +0100

arpack (2.1+parpack96-3) unstable; urgency=low

  * debian/rules: Set variables PSRCdir and PUTILdir for the invocation of
    "make clean".  We cannot rely on parpack-clean-dirs.patch for doing
    this and the previous version was still causing problems with the
    buildds.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Mar 2008 18:58:19 +0100

arpack (2.1+parpack96-2) unstable; urgency=low

  [ Christophe Prud'homme ]
  * debian/control: fixed liblapack3gf dep (closes: #467576)

  [ Rafael Laboissiere ]
  * debian/dirs: Delete this unnecessary file, avoiding some Lintian warnings
  * debian/control:

