=== debian/control ===
Source: arpack
Section: math
Priority: optional
Maintainer: Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>,
 "Adam C. Powell, IV" <hazelsct@debian.org>
DM-Upload-Allowed: yes
Build-Depends: quilt, cdbs, debhelper (>= 5), gfortran (>= 4.3.0-3),
 libblas-dev, liblapack-dev, mpi-default-dev (>= 0.3)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-scicomp/arpack/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-scicomp/arpack/
Homepage: http://www.caam.rice.edu/software/ARPACK/

Package: libarpack2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: atlas3-base
Replaces: arpack2
Conflicts: arpack2
Description: Fortran77 subroutines to solve large scale eigenvalue problems
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 Important Features:
 .
  o Reverse Communication Interface.
  o Single and Double Precision Real Arithmetic Versions for Symmetric,
    Non-symmetric,
  o Standard or Generalized Problems.
  o Single and Double Precision Complex Arithmetic Versions for Standard or
    Generalized Problems.
  o Routines for Banded Matrices - Standard or Generalized Problems.
  o Routines for The Singular Value Decomposition.
  o Example driver routines that may be used as templates to implement
    numerous Shift-Invert strategies for all problem types, data types and
    precision.
 .
 This package contains the shared libraries.

Package: libarpack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:  libarpack2 (= ${binary:Version}), libblas-dev, liblapack-dev, mpi-default-dev, ${misc:Depends}
Replaces: arpack2-dev
Conflicts: arpack2-dev
Description: Fortran77 subroutines to solve large scale eigenvalue problems (development)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the static libraries and the documentation for
 development with libarpack and libparpack (including examples).

Package: libarpack2-dbg
Section: debug
Architecture: any
Priority: extra
Depends:  libarpack2 (= ${binary:Version}), ${misc:Depends}
Description: Fortran77 subroutines to solve large scale eigenvalue problems (debug)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the debugging symbols for libarpack and libparpack.
