=== debian/watch ===
# This is a dummy debian/watch file, to make Lintian happy.
#
# Currently, upstream uses a distribution mechanism that cannot be
# meaningfully monitored by uscan and the Debian External Health Status
# project.
