=== debian/changelog ===
arpack (3.0-1) unstable; urgency=low

  * Switch to arpack-ng since upstream is dead.
  * New upstream release
  * Daniel Leidert removed from the uploaders (Closes: #651351)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 20:32:45 +0100

arpack (2.1+parpack96.dfsg-4) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * debian/control (Standards-Version): Bumped to 3.9.0.
    (Description): Fixed list format.
  * debian/libarpack2.install,
    debian/libarpack2-dev.install: Don't install obsolete license files.
  * debian/ARPACK_License_Question.eml,
    debian/RiceBSD.txt: Removed obsolete license files.
  * debian/README.debian: Dropped useless file.
  * debian/patches/fix-segfault.patch: Added comment to patch to fix
    quilt-patch-missing-description.

  [ Sylvestre Ledru ]
  * Team upload
  * Package migrated to the Debian Science team
  * Standards-Version updated to version 3.9.2
  * Update of the Recommends: atlas3-base to libatlas3gf-base
  * DM-Upload-Allowed: yes removed (only DD are working on this package)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Aug 2011 18:06:51 +0200
